package com.rv.im;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.LinearLayout;

import com.ruiwenliu.wrapper.base.BaseBean;
import com.ruiwenliu.wrapper.base.BaseStatusActivity;
import com.ruiwenliu.wrapper.weight.TitleView;
import com.rv.im.presenter.NewFriendPresenter;

/*********
 *
 * 新朋友activity
 *
 */
public class NewFriendActivity extends BaseStatusActivity<NewFriendPresenter> {

    private LinearLayout llSearch;

    @Override
    public void onShowResult(int requestType, BaseBean result) {

    }

    @Override
    protected int setLayout() {
        return R.layout.activity_new_friend;
    }

    @Override
    protected void initView(Bundle savedInstanceState, TitleView titleView, Intent intent) {

        titleView.setTitle("新的朋友");
        llSearch = findViewById(R.id.ll_search);
        llSearch.setOnClickListener(v -> {
            Intent in = new Intent(NewFriendActivity.this, AddFriendActivity.class);
            startActivityForResult(in, 1);
        });
    }
}
